Subject: [Sip] "the scope of the Contact is global"

From: [email-masked]
Date: Wed, 20 Aug 2003 01:52:23 +0300

The following text appears in RFC3261 section 8.1.1.8

"The Contact header field MUST be present and contain exactly one SIP
   or SIPS URI in any request that can result in the establishment of a
   dialog.  For the methods defined in this specification, that includes
   only the INVITE request.  For these requests, the scope of the
   Contact is global.  That is, the Contact header field value contains
   the URI at which the UA would like to receive requests, and this URI
   MUST be valid even if used in subsequent requests outside of any
   dialogs."

So, the scenario is:

- I send an INVITE with contact: sip:[email-masked]:54321 (note the port)
- the session is now finished and I terminate the dialog

The port that was used in contact was specified for that dialog only. So the question is: must the URI in the contact header be valid for subsequent requests even after the dialog is terminated? Which consequently means that my SIP stack needs to accept requests on port 54321 for ever? 

Thanks,
Hisham

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Sean Olson <[email-masked]>
Date: Tue, 19 Aug 2003 18:19:44 -0700 (PDT)

Interesting. Isn't this the GRUU discussion? I may be 
confused here.

--- [email-masked] wrote:
> The port that was used in contact was specified for
> that dialog only. So the question is: must the URI
> in the contact header be valid for subsequent
> requests even after the dialog is terminated? Which
> consequently means that my SIP stack needs to accept
> requests on port 54321 for ever? 
> 
> Thanks,
> Hisham
> 
> Sip mailing list 
> https://www1.ietf.org/mailman/listinfo/sip

__________________________________
Do you Yahoo!?
Yahoo! SiteBuilder - Free, easy-to-use web site design software
http://sitebuilder.yahoo.com

---

From: "Brett Tate" <[email-masked]>
Date: Wed, 20 Aug 2003 11:15:40 -0400

> Interesting. Isn't this the GRUU discussion?

Yes.  I was surprised to see the text in RFC3261.

Because of security, privacy, mobility, proxy 
bypass, and private network concerns, I doubt 
that all product deployments would actually 
follow that portion of the specification.

However the concept is needed for certain service 
implementations that involve proxies instead of 
a B2BUA.  Thus I think that the work on 
draft-rosenberg-sipping-gruu-reqs should continue.
 
> > "The Contact header field MUST be present and
> > contain exactly one SIP or SIPS URI in any 
> > request that can result in the establishment of
> > a dialog.  For the methods defined in this
> > specification, that includes only the INVITE 
> > request.  For these requests, the scope of the
> > Contact is global.  That is, the Contact header
> > field value contains the URI at which the UA would 
> > like to receive requests, and this URI MUST be 
> > valid even if used in subsequent requests
> > outside of any dialogs."
> > 
> > So, the scenario is:
> >

---

From: Rohan Mahy <[email-masked]>
Date: Wed, 20 Aug 2003 11:20:22 -0700

Hi Hisham,

This is exactly why I feel that the Contact header should contain a 
GRUU.

thanks,
-rohan

On Tuesday, August 19, 2003, at 03:52 PM, [email-masked] 
wrote:

> The port that was used in contact was specified for that dialog only. 
> So the question is: must the URI in the contact header be valid for 
> subsequent requests even after the dialog is terminated? Which 
> consequently means that my SIP stack needs to accept requests on port 
> 54321 for ever?
>
> Thanks,
> Hisham
>